using CommunityToolkit.Mvvm.Messaging;

namespace salesbook.Shared.Core.Messages.Notification.Loaded;

public class NotificationsLoadedService
{
    public event Action? OnNotificationsLoaded;

    public NotificationsLoadedService(IMessenger messenger)
    {
        messenger.Register<NotificationsLoadedMessage>(this, (_, _) => { OnNotificationsLoaded?.Invoke(); });
    }
}